import { Col } from "antd";
import { InfoCircleOutlined, PlusCircleOutlined } from "@ant-design/icons";
import { Card } from "antd";
import { React, useState } from "react";

const { Meta } = Card;

const App = (props) => {
  const { item, onAddToCart, handleToggleInfoModal } = props;

  return (
    <>
      <Col xs={24} md={8}>
        <Card
          hoverable
          style={{
            margin: "10px 10px",
          }}
          cover={<img alt="example" src={item.img} />}
          actions={[
            <PlusCircleOutlined onClick={() => onAddToCart(item.id)} />,
            <InfoCircleOutlined onClick={() => handleToggleInfoModal(item)} />,
          ]}
        >
          <Meta title={item.title} description={item.descr} />
          <hr />
          <div>售價 ${item.price}</div>
          <div>剩餘存量{item.stock}</div>
        </Card>
      </Col>
    </>
  );
};

export default App;
